"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isHighlightable = exports.addHighlight = void 0;
var addHighlight = function (range, element) {
    var _a;
    if (!(0, exports.isHighlightable)(range)) {
        return;
    }
    element.appendChild(range.extractContents());
    range.insertNode(element);
    (_a = window.getSelection()) === null || _a === void 0 ? void 0 : _a.removeAllRanges();
};
exports.addHighlight = addHighlight;
var isHighlightable = function (range) {
    var contents = range.cloneContents();
    var hasp = [];
    contents.childNodes.forEach(function (item) {
        if (item.nodeName === 'P') {
            hasp.push(true);
        }
        else {
            hasp.push(false);
        }
    });
    return !hasp.includes(true);
};
exports.isHighlightable = isHighlightable;
