/// <reference types="react" />
import { SelectionType } from '../types';
export declare const useSelections: () => {
    selections: SelectionType[];
    setSelections: import("react").Dispatch<import("react").SetStateAction<SelectionType[]>>;
    addSelection: (selection: SelectionType) => void;
    updateSelection: (id: string, updatedSelection: SelectionType) => void;
    removeSelection: (selection: SelectionType) => void;
};
