export var addHighlight = function (range, element) {
    var _a;
    if (!isHighlightable(range)) {
        return;
    }
    element.appendChild(range.extractContents());
    range.insertNode(element);
    (_a = window.getSelection()) === null || _a === void 0 ? void 0 : _a.removeAllRanges();
};
export var isHighlightable = function (range) {
    var contents = range.cloneContents();
    var hasp = [];
    contents.childNodes.forEach(function (item) {
        if (item.nodeName === 'P') {
            hasp.push(true);
        }
        else {
            hasp.push(false);
        }
    });
    return !hasp.includes(true);
};
